petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetInitialGuessNonzero

Determines whether the KSP solver is using a zero initial guess.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetInitialGuessNonzero(KSP ksp,PetscBool  *flag)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flag -PETSC_TRUE if guess is nonzero, else PETSC_FALSE

### Keywords

set, initial guess, nonzero

### See Also

KSPSetInitialGuessNonzero(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages